# Disable Jenkins builtin artifact archiving (part of migration to snapshots.linaro.org)
import base64

def get_build_config(tree):
    tag = tree.xpath("/project/properties//defaultValue")
    assert len(tag) == 1
    tag = tag[0]
    d = {}
    for l in base64.decodestring(tag.text).split("\n"):
        l = l.strip()
        if not l or l[0] == "#":
            continue
        k, v = l.split("=")
        d[k] = v
    return d

def mangle(tree):
    cfg = get_build_config(tree)
    if cfg.get("BUILD_TYPE", "build-android") != "build-android":
        return
    tags = tree.xpath('//hudson.tasks.ArtifactArchiver')
    if not tags:
        return
    tags[0].getparent().remove(tags[0])
